<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Cups\Printer\Printer;
use NoccyLabs\Cups\Printer\PrinterIterator;


foreach (new PrinterIterator()  as $printer) {
    echo $printer . "\n";
    echo "model = " . $printer->getMakeAndModel() . "\n";
    echo "state = " . $printer->getState() . "\n";
    echo "reason = " . $printer->getStateReason() . "\n";
    echo "updated = " . $printer->getStateUpdated()->format("Y-m-d H:i:s") . "\n";
    echo json_encode($printer->getConfig(), JSON_PRETTY_PRINT|JSON_UNESCAPED_SLASHES)."\n";
}

