<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Cups\Printer\Printer;
use NoccyLabs\Cups\Job\PrintJob;

$printer = new Printer("PDF");


$job = new PrintJob(__DIR__."/../README.md", $printer);
$job
    ->setDuplexMode(PrintJob::DUPLEX_NONE)
    ->setPageRange("1-2")
    ->setMedia("A4")
;
$job->submit();